Page Summary
-
This API call initiates the asynchronous execution of an existing report.
-
The report can be retrieved by polling
OperationsService.GetOperationafter successful execution. -
The HTTP request uses a POST method to
https://admanager.googleapis.com/v1/{name}:run. -
The request requires the
namepath parameter, specifying the report to run. -
Authorization requires the
https://www.googleapis.com/auth/admanagerOAuth scope.
Initiates the execution of an existing report asynchronously. Users can get the report by polling this operation using OperationsService.GetOperation. Poll every 5 seconds initially, with an exponential backoff. Once a report is complete, the operation will contain a RunReportResponse in its response field containing a reportResult that can be passed to the FetchReportResultRows method to retrieve the report data.
HTTP request
POST https://admanager.googleapis.com/v1/{name}:run
Path parameters
| Parameters | |
|---|---|
name |
Required. The report to run. Format: |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admanagerhttps://www.googleapis.com/auth/admanager.readonly
For more information, see the OAuth 2.0 Overview.